Error Reading ZIP,While running ./gradlew run --args='trades.json”

It means that the respective Gradle dependencies have not been downloaded and these are the following reasons for this

  1. The Gradlew process was stopped at a particular instance and the dependencies were not installed completely.

  2. Make sure you have cloned the repository in the workspace folder

You should have cloned your repository in the following directory.

You can type cd ~/workspace to go to that particular directory.